Previous: Debug, Up: C64DTV-specific commands and settings [Contents][Index]

#### 7.3.6 Monitor DTV features

Currently the registers A, Y and X are registers R0, R1 and R2 regardless of the mapping, which can be seen and modified via the registers ACM and XYM.

The monitor can access all 2MiB of RAM and 2MiB of Flash, but only 64 KiB at a time. The 64KiB bank can be selected with "bank ram00".."ram1f" for RAM and "bank rom00".."rom1f" for Flash.

The "load" command can load large files (>64KiB) correctly if the bank is set to "ramXX", where XX is the starting bank (usually "bank00").

#### 7.3.7 DTV resources

`DtvRevision`

  Integer specifying the emulated DTV revision. (2: DTV2, 3: DTV3)

`ChargenName`

  String specifying the name of the character generator ROM (default `chargen`).

`KernalName`

  String specifying the name of the Kernal ROM (default `kernal`).

`BasicName`

  String specifying the name of the Basic ROM (default `basic`).

`c64dtvromfilename`

  String specifying the filename of the DTV Flash ROM image.

`c64dtvromrw`

  Boolean that specifies whether the emulated Flash ROM is writeable.

`FSFlashDir`

  String specifying the working directory for the flash file system.

`FlashTrueFS`

  Boolean, enables true hardware flash file system.

`HummerADC`

  Boolean to enable/disable the Hummer ADC emulation.

`ps2mouse`

  Boolean to enable/disable PS/2 Mouse emulation.

`DtvBlitterLog`

  Boolean, enables Blitter logging.

`DtvDMALog`

  Boolean, enables DMA logging.

`DtvFlashLog`

  Boolean, enables Flash ROM logging.

`MachineVideoStandard`

  Integer that specifies the video standard of the emulated machine. (1: PAL, 2: NTSC)

#### 7.3.8 DTV command-line options

`-model <Model>`

  Set the DTV model (`MachineVideoStandard`, `DtvRevision`, `HummerADC`). (v2/v2pal/v2ntsc, v3/v3pal/v3ntsc, hummer)

`-pal`

  Use PAL sync factor (`MachineVideoStandard=1`).

`-ntsc`

  Use NTSC sync factor (`MachineVideoStandard=2`).

`-chargen <name>`

  Specify filename of the character generator ROM file (`ChargenName`).

`-kernal <name>`

  Specify filename of the Kernal ROM file (`KernalName`).

`-basic <name>`

  Specify the filename of the Basic ROM file (`BasicName`).

Previous: Debug, Up: C64DTV-specific commands and settings [Contents][Index]